Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 226064 - Make static imports hint part of the official distribution @jdk8lambda
Make static imports hint part of the official distribution @jdk8lambda
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
:
Depends on: 227607
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 14:18 UTC by misterm
Modified: 2013-04-21 02:18 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2013-02-13 14:18:49 UTC
Many idioms in lambda (Collectors, for instance) and java.time (Adjusters) are based on statically imported methods. People will have a hard time compiling them if the IDE doesn't support static imports out of the box.

Not only the current Add static import hint must be supported, but there must be a way to add these static imports as part of Fix imports as well.

Product Version = NetBeans IDE Dev (Build jdk8lambda-1641-on-20130208)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.8.0-ea
Runtime = OpenJDK 64-Bit Server VM 25.0-b15
Comment 1 Jan Lahoda 2013-04-03 17:42:42 UTC
Both Fix all imports and the Add import fix should not be able to handle static imports:
http://hg.netbeans.org/jet-main/rev/fc33fbc0b0dc

Passing to Dusan to see if the code completion should do similar lookup into the index.
Comment 2 Dusan Balek 2013-04-11 13:44:58 UTC
Code completion should be able to add static imports:
http://hg.netbeans.org/jet-main/rev/4e17ffd5eff0
Comment 3 Quality Engineering 2013-04-13 13:09:25 UTC
Integrated into 'main-golden', will be available in build *201304131047* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/
User: 
Log:
Comment 4 Dusan Balek 2013-04-18 08:53:56 UTC
Code completion for static members enhanced with ability to prefer enclosing class imports over static imports.

http://hg.netbeans.org/jet-main/rev/4c5cad8279f0
Comment 5 Quality Engineering 2013-04-21 02:18:58 UTC
Integrated into 'main-golden', will be available in build *201304202301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4c5cad8279f0
User: Dusan Balek <dbalek@netbeans.org>
Log: #226064: Code completion for static members enhancement.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo